Get Processor Payment Methods

Get Active processor supported Payment Method Types by ProcessorGuid

get

GET /api/processorPaymentMethodTypes?processorGuid=12345678-9012-3456-7890-dc84772c0032 Response Example: [ { "PaymentMethodTypeId": 1, "PaymentMethodTypeValue": "AMEX" }, { "PaymentMethodTypeId": 2, "PaymentMethodTypeValue": "MASTERCARD" }, { "PaymentMethodTypeId": 3, "PaymentMethodTypeValue": "VISA" }, { "PaymentMethodTypeId": 4, "PaymentMethodTypeValue": "DISCOVER" }, { "PaymentMethodTypeId": 5, "PaymentMethodTypeValue": "DINERSCLUB" }, { "PaymentMethodTypeId": 6, "PaymentMethodTypeValue": "JCB" }, { "PaymentMethodTypeId": 7, "PaymentMethodTypeValue": "ACH" }, { "PaymentMethodTypeId": 8, "PaymentMethodTypeValue": "GOOGLEPAY" }, { "PaymentMethodTypeId": 9, "PaymentMethodTypeValue": "APPLEPAY" }, { "PaymentMethodTypeId": 10, "PaymentMethodTypeValue": "STRIPE" } ]

Query parameters
processorGuidstring · uuidOptional
mKeystringOptional
Header parameters
AccessTokenstringRequired

access token

Responses
chevron-right
200

Returns processor supported Payment Method Types data

application/json
PaymentMethodTypeIdinteger · enumOptionalPossible values:
PaymentMethodTypeValuestring · nullableOptional

possible values : "NONE" = 0, "AMEX" = 1, "MASTERCARD" = 2, "VISA" = 3, "DISCOVER" = 4, "DINERSCLUB" = 5, "JCB" = 6, "ACH" = 7, "GOOGLEPAY" = 8, "APPLEPAY" = 9 "STRIPE" = 10

get
/api/processorPaymentMethodTypes

Last updated